Package twisted :: Package protocols :: Module nntp

[show private | hide private]
[frames | no frames]

## Module twisted.protocols.nntp

NNTP protocol support.

Stability: semi-stable

Maintainer: Jp Calderone<mailto:exarkun@twistedmatrix.com>

The following protocol commands are currently understood:

       LIST        LISTGROUP                  XOVER        XHDR
       POST        GROUP        ARTICLE       STAT         HEAD
       BODY        NEXT         MODE STREAM   MODE READER  SLAVE
       LAST        QUIT         HELP          IHAVE        XPATH
       XINDEX      XROVER       TAKETHIS      CHECK

The following protocol commands require implementation:

                                NEWNEWS
                                XGTITLE                XPAT
                                XTHREAD       AUTHINFO NEWGROUPS

Other desired features:

- A real backend
- More robust client input handling
- A control protocol

Classes
`NNTPClient` |
`NNTPServer` |
`UsenetClientProtocol` | A client that connects to an NNTP server and asks for articles new since a certain time.

Exceptions
`NNTPError` |

Function Summary
| `extractCode(line)`
| `parseRange(text)`

Variable Summary
`SelectReactor` | `reactor`

Variable Details

### reactor

  Type:
    `SelectReactor`
  Value:

        <twisted.internet.default.SelectReactor instance at 0x82e8c8c>

Generated by Epydoc 1.1 on Thu May 8 13:18:52 2003 | http://epydoc.sf.net